=== debian/changelog ===
ruli (0.18-1) unstable; urgency=low

  * New upstream release.
  * Removed unused '${misc:Depends}' from 'debian/control'.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed, 17 Mar 2004 21:03:12 -0300

ruli (0.17-2) unstable; urgency=low

  * Removed inocuous comments from 'debian/rules'.
  * Added detection of shared library version to 'debian/rules'.
  * Removed unused files.
  * Added bogus man page.
  * Closes: #234303

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Wed, 25 Feb 2004 00:05:56 -0300

ruli (0.17-1) unstable; urgency=low

  * Initial Release.
  * Adjusted the Makefile to fix $DESTDIR problems.
  * Added top level Makefile.
  * Changed src/Makefile to use 'install -m 644' instead of 'cp'.
  * Changed src/Makefile to issue 'libruli.so.1' instead of 'libruli.so'.
  * Added SONAME to 'libruli.so.1' in src/Makefile.

 -- Everton da Silva Marques <evertonsm@yahoo.com.br>  Sun, 22 Feb 2004 00:12:25 -0300
