=== debian/control ===
Source: ruli
Priority: optional
Maintainer: Everton da Silva Marques <evertonsm@yahoo.com.br>
Build-Depends: debhelper (>= 4.0.0), binutils (>= 2.14.90.0.7-5), gcc-3.3 (>= 1), libacl1 (>= 2.2.23-1), libattr1 (>= 2.4.15-1), libc6 (>= 2.3.2.ds1-11), libc6-dev (>= 2.3.2.ds1-11), liboop-dev (>= 1.0-1), linux-kernel-headers (>= 2.5.999-test7-bk-15)
Standards-Version: 3.6.0

Package: libruli1-dev
Section: devel
Architecture: any
Depends: libruli1 (= ${Source-Version}), liboop-dev (>= 1.0-1)
Provides: libruli-dev
Conflicts: libruli-dev
Description: Library for easily querying DNS SRV records - development files
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
 .
 This package contains the RULI development libraries and
 header files, required to develop and/or compile
 applications that use RULI.

Package: libruli1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, liboop4 (>= 1.0-1)
Provides: libruli
Description: Library for easily querying DNS SRV records
 RULI stands for Resolver User Layer Interface. It's a library
 built on top of an asychronous DNS stub resolver. RULI
 provides an easy-to-use interface for querying DNS SRV
 resource records. The goal is to promote the wide deployment
 of SRV-cognizant client programs. RULI aims to fully support
 SRV-related standards.
