## ruli 0.20

=== Makefile ===
#
# $Id: Makefile,v 1.4 2004/03/26 19:58:42 evertonm Exp $
#
# This is a Debian-friendly top-level Makefile.
#

.PHONY: default
default:
	$(MAKE) -C src   
	$(MAKE) -C sample 

.PHONY: clean
clean:
	$(MAKE) -C src    clean
	$(MAKE) -C sample clean

.PHONY: install
install:
	$(MAKE) -C src    install
	$(MAKE) -C sample install

.PHONY: dpkg
dpkg:
	dpkg-buildpackage -rfakeroot
