=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.31 2004/02/25 17:54:39 evertonm Exp $
+# $Id: Makefile,v 1.32 2004/03/26 18:57:32 evertonm Exp $
 #
 
 #DEBUG = -DRULI_RES_DEBUG -DRULI_SRV_DEBUG -DRULI_TXT_COMPARE_DEBUG
@@ -14,7 +14,7 @@
 #
 # Debian packaging likes this: OOP_BASE_DIR = /usr/lib
 #
-OOP_BASE_DIR    = /usr/lib
+OOP_BASE_DIR    = /usr/local/oop
 OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
 
 #
@@ -25,7 +25,7 @@
 #
 # Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
 #
-INSTALL_BASE_DIR     = $(DESTDIR)/usr
+INSTALL_BASE_DIR     = ../install/ruli
 INSTALL_INCLUDE_DIR  = $(INSTALL_BASE_DIR)/include
 INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
 INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man
@@ -59,7 +59,9 @@
 
 .PHONY: install
 install: ruli
-	install -d $(INSTALL_LIB_DIR) $(INSTALL_INCLUDE_DIR) $(INSTALL_MAN_DIR)/man3
+	install -d $(INSTALL_LIB_DIR) \
+		$(INSTALL_INCLUDE_DIR) \
+		$(INSTALL_MAN_DIR)/man3
 	install -m 644 $(SONAME) libruli.a $(INSTALL_LIB_DIR)
 	install -m 644 *.h $(INSTALL_INCLUDE_DIR)
 	install -m 644 ../doc/man/*.3 $(INSTALL_MAN_DIR)/man3
