## ruli 0.21

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.4 2004/03/26 19:58:42 evertonm Exp $
+# $Id: Makefile,v 1.7 2004/05/21 19:34:16 evertonm Exp $
 #
 # This is a Debian-friendly top-level Makefile.
 #
@@ -22,3 +22,12 @@
 .PHONY: dpkg
 dpkg:
 	dpkg-buildpackage -rfakeroot
+
+.PHONY: dpkg-clean
+dpkg-clean:
+	fakeroot debian/rules clean
+
+.PHONY: release-clean
+release-clean:
+	rm -r debian doc/rfc ruli-mta test tube `find . -name CVS`
+
