=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.32 2004/03/26 18:57:32 evertonm Exp $
+# $Id: Makefile,v 1.33 2004/05/17 05:51:13 evertonm Exp $
 #
 
 #DEBUG = -DRULI_RES_DEBUG -DRULI_SRV_DEBUG -DRULI_TXT_COMPARE_DEBUG
@@ -125,7 +125,7 @@
 	$(CC) $(CFLAGS) -c $<
 
 libruli.so: $(LIBOBJ)
-	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -o $@ $(LIBOBJ)
+	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -o $@ $(LIBOBJ) -loop
 
 $(SONAME): libruli.so
 	cp libruli.so $(SONAME)
