## ruli 0.22

=== sample/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.7 2004/05/17 05:51:13 evertonm Exp $
+# $Id: Makefile,v 1.8 2004/05/28 22:17:03 evertonm Exp $
 #
 
 #
@@ -36,7 +36,7 @@
 LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop \
 	$(SOLARIS_LDFLAGS) -L../src
 
-TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch
+TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
 
 .PHONY: default
 default: $(TARGETS)
@@ -73,5 +73,6 @@
 sync_smtpsearch: sync_smtpsearch.o stdout_srv_list.o
 	$(CC) $(LDFLAGS) -o $@ $^
 
+ruli-getaddrinfo: ruli-getaddrinfo.o stdout_srv_list.o
+	$(CC) $(LDFLAGS) -o $@ $^
 
-
