=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
-# $Id: Makefile,v 1.33 2004/05/17 05:51:13 evertonm Exp $
+# $Id: Makefile,v 1.37 2004/05/31 05:57:40 evertonm Exp $
 #
 
 #DEBUG = -DRULI_RES_DEBUG -DRULI_SRV_DEBUG -DRULI_TXT_COMPARE_DEBUG
-#DEBUG = -DRULI_SYNC_DEBUG
-#DEBUG = -DRULI_SEARCH_DEBUG
-#DEBUG = -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
-#DEBUG = -DRULI_SMTP_DEBUG
+#DEBUG += -DRULI_SYNC_DEBUG
+#DEBUG += -DRULI_SEARCH_DEBUG
+#DEBUG += -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
+#DEBUG += -DRULI_SMTP_DEBUG
 
 #
 # OOP_INCLUDE_DIR points the location of
@@ -30,7 +30,7 @@
 INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
 INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man
 
-WARN = -pedantic -Wshadow -Wpointer-arith -Wcast-qual \
+WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
 	-Wcast-align -Wwrite-strings -Wstrict-prototypes \
 	-Wmissing-prototypes -Wnested-externs -Wredundant-decls \
         -Werror
@@ -38,10 +38,11 @@
 CC     = gcc
 CFLAGS = $(DEBUG) $(WARN) -O2 -pipe -Wall -g -shared -fPIC \
 	-I. -I$(OOP_INCLUDE_DIR)
-LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o ruli_sock.o \
-	ruli_txt.o ruli_msg.o ruli_fsm.o ruli_res.o ruli_parse.o \
-	ruli_srv.o ruli_conf.o ruli_search.o ruli_smtp.o ruli_sync.o
-SONAME = libruli.so.1
+LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
+	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
+	ruli_res.o ruli_parse.o ruli_srv.o ruli_conf.o ruli_search.o \
+	ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
+SONAME = libruli.so.2
 
 .PHONY: default
 default: ruli
@@ -91,6 +92,9 @@
 ruli_list.o: ruli_list.c ruli_list.h
 	$(CC) $(CFLAGS) -c $<
 
+ruli_addr.o: ruli_addr.c ruli_addr.h
+	$(CC) $(CFLAGS) -c $<
+
 ruli_sock.o: ruli_sock.c ruli_sock.h
 	$(CC) $(CFLAGS) -c $<
 
@@ -124,8 +128,11 @@
 ruli_sync.o: ruli_sync.c ruli_sync.h
 	$(CC) $(CFLAGS) -c $<
 
+ruli_getaddrinfo.o: ruli_getaddrinfo.c ruli_getaddrinfo.h
+	$(CC) $(CFLAGS) -c $<
+
 libruli.so: $(LIBOBJ)
-	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -o $@ $(LIBOBJ) -loop
+	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -o $@ $(LIBOBJ) -loop -ldl
 
 $(SONAME): libruli.so
 	cp libruli.so $(SONAME)
