## ruli 0.23

=== sample/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.8 2004/05/28 22:17:03 evertonm Exp $
+# $Id: Makefile,v 1.9 2004/05/31 22:18:03 evertonm Exp $
 #
 
 #
@@ -60,6 +60,7 @@
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 smtpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_srvsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
+	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
 
 srvsearch: srvsearch.o stdout_srv_list.o
 	$(CC) $(LDFLAGS) -o $@ $^
