## ruli 0.24

=== tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.16 2004/05/19 23:09:11 evertonm Exp $
+# $Id: Makefile,v 1.18 2004/05/31 05:57:41 evertonm Exp $
 #
 
 #
@@ -28,11 +28,12 @@
 CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR) \
           -I../src
 
-LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop $(SOLARIS_LDFLAGS) \
-          -L../src
+LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop \
+	$(SOLARIS_LDFLAGS) -L../src
 
 TARGETS = list resolve hostsolver srvsolver syncsolver addrsolver \
-	srvsolver2 addrsolver2 addrsolver3 rand cycle_res cycle_res2
+	srvsolver2 addrsolver2 addrsolver3 rand cycle_res cycle_res2 \
+	ipv6
 
 .PHONY: default
 default: $(TARGETS)
@@ -83,4 +84,7 @@
 cycle_res2: cycle_res2.o trivial_conf_handler.o
 	$(CC) $(LDFLAGS) -o $@ $^
 
+ipv6: ipv6.o
+	$(CC) $(LDFLAGS) -o $@ $^
 
+
