## ruli 0.25

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #
-# $Id: Makefile,v 1.37 2004/05/31 05:57:40 evertonm Exp $
+# $Id: Makefile,v 1.39 2004/06/09 17:57:14 evertonm Exp $
 #
 
-#DEBUG = -DRULI_RES_DEBUG -DRULI_SRV_DEBUG -DRULI_TXT_COMPARE_DEBUG
+#DEBUG += -DRULI_SRV_DEBUG 
+#DEBUG += -DRULI_RES_DEBUG
+#DEBUG += -DRULI_TXT_COMPARE_DEBUG
 #DEBUG += -DRULI_SYNC_DEBUG
 #DEBUG += -DRULI_SEARCH_DEBUG
 #DEBUG += -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
