## ruli 0.26

=== sample/Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
+
 #
-# $Id: Makefile,v 1.9 2004/05/31 22:18:03 evertonm Exp $
+# $Id: Makefile,v 1.12 2004/06/16 21:23:11 evertonm Exp $
 #
 
 #
@@ -9,9 +10,8 @@
 # OOP_LIB_DIR points the location of
 # Liboop libraries in your system
 #
-# Debian packaging likes this: OOP_BASE_DIR = /usr/lib
+# Debian packaging likes this: OOP_BASE_DIR = /usr
 #
-
 OOP_BASE_DIR    = /usr/local/oop
 OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
 OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib
@@ -28,13 +28,17 @@
 INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
 INSTALL_MAN_DIR     = $(INSTALL_BASE_DIR)/share/man
 
-#SOLARIS_LDFLAGS = -lresolv -lnsl -R$(OOP_LIB_DIR) -R$(INSTALL_LIB_DIR)
+PLATFORM=$(shell uname)
+
+ifeq ($(PLATFORM),SunOS)
+SOLARIS_LIBS = -lresolv -lnsl -lsocket
+endif
 
 CC      = gcc
 CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR) \
 	-I../src
-LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop \
-	$(SOLARIS_LDFLAGS) -L../src
+LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) $(SOLARIS_LDFLAGS) -L../src
+LIBS = -lruli -loop $(SOLARIS_LIBS)
 
 TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
 
@@ -63,17 +67,17 @@
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
 
 srvsearch: srvsearch.o stdout_srv_list.o
-	$(CC) $(LDFLAGS) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 sync_srvsearch: sync_srvsearch.o stdout_srv_list.o
-	$(CC) $(LDFLAGS) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 smtpsearch: smtpsearch.o stdout_srv_list.o
-	$(CC) $(LDFLAGS) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 sync_smtpsearch: sync_smtpsearch.o stdout_srv_list.o
-	$(CC) $(LDFLAGS) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 ruli-getaddrinfo: ruli-getaddrinfo.o stdout_srv_list.o
-	$(CC) $(LDFLAGS) -o $@ $^
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
