=== src/Makefile ===
#
# $Id: Makefile,v 1.47 2004/06/17 07:28:45 evertonm Exp $
#

#DEBUG += -DRULI_SRV_DEBUG 
#DEBUG += -DRULI_RES_DEBUG
#DEBUG += -DRULI_TXT_COMPARE_DEBUG
#DEBUG += -DRULI_SYNC_DEBUG
#DEBUG += -DRULI_SEARCH_DEBUG
#DEBUG += -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
#DEBUG += -DRULI_SMTP_DEBUG

#
# OOP_INCLUDE_DIR points the location of
# Liboop headers in your system
#
# Debian packaging likes this: OOP_BASE_DIR = /usr
#
OOP_BASE_DIR    = /usr/local/oop
OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include

#
# INSTALL_BASE_DIR indicates where RULI
# is to be installed in your system
#
# Example: INSTALL_BASE_DIR=/usr/local/ruli
#
# Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
#
INSTALL_BASE_DIR     = ../install/ruli
INSTALL_INCLUDE_DIR  = $(INSTALL_BASE_DIR)/include
INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man

# SunOS, Linux
PLATFORM=$(shell uname)

ifeq ($(PLATFORM),SunOS)
DEFINE_SOLARIS = -D_RULI_SOLARIS_
endif

WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
	-Wcast-align -Wwrite-strings -Wstrict-prototypes \
	-Wmissing-prototypes -Wredundant-decls
CC = gcc

ifeq ($(CC),gcc)
WARN += -Wnested-externs
endif

FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -fPIC \
        $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
SOFT_CFLAGS = $(WARN) $(FLAGS)
CFLAGS = $(WARN) -Werror $(FLAGS)
LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
	ruli_res.o ruli_parse.o ruli_srv.o ruli_conf.o ruli_search.o \
	ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
SONAME = libruli.so.2

COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c

# no -Werror
SOFT_COMPILE = $(CC) $(CPPFLAGS) $(SOFT_CFLAGS) -c

.PHONY: default
default: ruli

.PHONY: clean
clean:
	rm -f *~ .*~ *.o *.so *.a *.so.*

.PHONY: build
build: clean default

.PHONY: strip
strip: ruli
	strip $(SONAME) libruli.a

.PHONY: install
install: ruli
	install -d $(INSTALL_LIB_DIR) \
		$(INSTALL_INCLUDE_DIR) \
		$(INSTALL_MAN_DIR)/man3
	install -m 644 $(SONAME) libruli.a $(INSTALL_LIB_DIR)
	install -m 644 *.h $(INSTALL_INCLUDE_DIR)
	install -m 644 ../doc/man/*.3 $(INSTALL_MAN_DIR)/man3
	cd $(INSTALL_LIB_DIR) && ln -s $(SONAME) libruli.so
	@echo
	@echo "REMINDER:"
	@echo "Add $(INSTALL_LIB_DIR) to your dynamic loader path:"
	@echo "# echo $(INSTALL_LIB_DIR) >> /etc/ld.so.conf"
	@echo "# ldconfig"
	@echo

.PHONY: ruli
ruli: $(SONAME) libruli.a

ruli_util.o: ruli_util.c ruli_util.h
	$(SOFT_COMPILE) $<

ruli_sock.o: ruli_sock.c ruli_sock.h
	$(SOFT_COMPILE) $<

%.o: %.c %.h
	$(COMPILE) $<

libruli.so: $(LIBOBJ)
ifdef DEFINE_SOLARIS
	$(CC) $(CFLAGS) -Wl,-h,$(SONAME) -o $@ $(LIBOBJ) -loop -ldl -lsocket -lnsl
else
	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -Wl,--version-script,libruli.ver -o $@ $(LIBOBJ) -loop -ldl
endif

$(SONAME): libruli.so
	cp libruli.so $(SONAME)

libruli.a: $(LIBOBJ)
ifdef DEFINE_SOLARIS
	ar -r -v $@ $(LIBOBJ)
else
	ar rcv $@ $(LIBOBJ)
	ar sv $@
endif
