=== tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.18 2004/05/31 05:57:41 evertonm Exp $
+# $Id: Makefile,v 1.19 2004/06/16 21:23:11 evertonm Exp $
 #
 
 #
@@ -21,8 +21,6 @@
 INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
 INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
 INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
-
-#SOLARIS_LDFLAGS = -lresolv -lnsl -R$(OOP_LIB_DIR) -R$(INSTALL_LIB_DIR)
 
 CC      = gcc
 CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR) \
@@ -87,4 +85,6 @@
 ipv6: ipv6.o
 	$(CC) $(LDFLAGS) -o $@ $^
 
+long: long.o
+	$(CC) -o $@ $^
