## ruli 0.27

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.7 2004/05/21 19:34:16 evertonm Exp $
+# $Id: Makefile,v 1.8 2004/05/21 20:25:30 evertonm Exp $
 #
 # This is a Debian-friendly top-level Makefile.
 #
@@ -29,5 +29,5 @@
 
 .PHONY: release-clean
 release-clean:
-	rm -r debian doc/rfc ruli-mta test tube `find . -name CVS`
+	rm -rf debian doc/rfc ruli-mta test tube `find . -name CVS`
