=== src/Makefile ===
--- 
+++ 
@@ -1,23 +1,15 @@
 #
-# $Id: Makefile,v 1.47 2004/06/17 07:28:45 evertonm Exp $
+# $Id: Makefile,v 1.48 2004/06/23 19:47:29 evertonm Exp $
 #
 
 #DEBUG += -DRULI_SRV_DEBUG 
+#DEBUG += -DRULI_HOST_DEBUG
 #DEBUG += -DRULI_RES_DEBUG
 #DEBUG += -DRULI_TXT_COMPARE_DEBUG
 #DEBUG += -DRULI_SYNC_DEBUG
 #DEBUG += -DRULI_SEARCH_DEBUG
 #DEBUG += -DRULI_MSG_DUMP_DEBUG -DRULI_SOCK_DUMP_DEBUG
 #DEBUG += -DRULI_SMTP_DEBUG
-
-#
-# OOP_INCLUDE_DIR points the location of
-# Liboop headers in your system
-#
-# Debian packaging likes this: OOP_BASE_DIR = /usr
-#
-OOP_BASE_DIR    = /usr/local/oop
-OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
 
 #
 # INSTALL_BASE_DIR indicates where RULI
@@ -27,7 +19,7 @@
 #
 # Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
 #
-INSTALL_BASE_DIR     = ../install/ruli
+INSTALL_BASE_DIR     = $(DESTDIR)/usr
 INSTALL_INCLUDE_DIR  = $(INSTALL_BASE_DIR)/include
 INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
 INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man
@@ -49,13 +41,13 @@
 endif
 
 FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -fPIC \
-        $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
+        $(DEFINE_SOLARIS) -I.
 SOFT_CFLAGS = $(WARN) $(FLAGS)
 CFLAGS = $(WARN) -Werror $(FLAGS)
 LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
-	ruli_res.o ruli_parse.o ruli_srv.o ruli_conf.o ruli_search.o \
-	ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
+	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
+	ruli_search.o ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
 SONAME = libruli.so.2
 
 COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c
