## ruli 0.28

=== sample/Makefile ===
--- 
+++ 
@@ -2,6 +2,19 @@
 #
 # $Id: Makefile,v 1.14 2004/06/21 00:28:23 evertonm Exp $
 #
+
+#
+# OOP_INCLUDE_DIR points the location of
+# Liboop headers in your system
+#
+# OOP_LIB_DIR points the location of
+# Liboop libraries in your system
+#
+# Debian packaging likes this: OOP_BASE_DIR = /usr
+#
+OOP_BASE_DIR    = /usr/local/oop
+OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
+OOP_LIB_DIR     = $(OOP_BASE_DIR)/lib
 
 #
 # INSTALL_BASE_DIR indicates where RULI
@@ -9,7 +22,7 @@
 #
 # Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
 #
-INSTALL_BASE_DIR    = $(DESTDIR)/usr
+INSTALL_BASE_DIR    = ../install/ruli
 INSTALL_INCLUDE_DIR = $(INSTALL_BASE_DIR)/include
 INSTALL_LIB_DIR     = $(INSTALL_BASE_DIR)/lib
 INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
@@ -22,8 +35,8 @@
 endif
 
 CC      = gcc
-CFLAGS  = -O2 -pipe -Wall -g -I../src
-LDFLAGS = -L../src $(SOLARIS_LDFLAGS)
+CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
+LDFLAGS = -L../src -L$(OOP_LIB_DIR) $(SOLARIS_LDFLAGS)
 LIBS = -lruli -loop $(SOLARIS_LIBS)
 
 TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
