=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.48 2004/06/23 19:47:29 evertonm Exp $
+# $Id: Makefile,v 1.49 2004/06/25 23:19:11 evertonm Exp $
 #
 
 #DEBUG += -DRULI_SRV_DEBUG 
@@ -12,6 +12,15 @@
 #DEBUG += -DRULI_SMTP_DEBUG
 
 #
+# OOP_INCLUDE_DIR points the location of
+# Liboop headers in your system
+#
+# Debian packaging likes this: OOP_BASE_DIR = /usr
+#
+OOP_BASE_DIR    = /usr/local/oop
+OOP_INCLUDE_DIR = $(OOP_BASE_DIR)/include
+
+#
 # INSTALL_BASE_DIR indicates where RULI
 # is to be installed in your system
 #
@@ -19,7 +28,7 @@
 #
 # Debian packaging likes this: INSTALL_BASE_DIR = $(DESTDIR)/usr
 #
-INSTALL_BASE_DIR     = $(DESTDIR)/usr
+INSTALL_BASE_DIR     = ../install/ruli
 INSTALL_INCLUDE_DIR  = $(INSTALL_BASE_DIR)/include
 INSTALL_LIB_DIR      = $(INSTALL_BASE_DIR)/lib
 INSTALL_MAN_DIR      = $(INSTALL_BASE_DIR)/share/man
@@ -41,14 +50,14 @@
 endif
 
 FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -fPIC \
-        $(DEFINE_SOLARIS) -I.
+        $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
 SOFT_CFLAGS = $(WARN) $(FLAGS)
 CFLAGS = $(WARN) -Werror $(FLAGS)
 LIBOBJ = ruli_isaac.o ruli_mem.o ruli_rand.o ruli_util.o ruli_list.o \
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
 	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
 	ruli_search.o ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
-SONAME = libruli.so.2
+SONAME = libruli.so.3
 
 COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c
