=== tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.19 2004/06/16 21:23:11 evertonm Exp $
+# $Id: Makefile,v 1.21 2004/06/23 19:47:29 evertonm Exp $
 #
 
 #
@@ -23,15 +23,13 @@
 INSTALL_BIN_DIR     = $(INSTALL_BASE_DIR)/bin
 
 CC      = gcc
-CFLAGS  = -O2 -pipe -Wall -g -I$(INSTALL_INCLUDE_DIR) -I$(OOP_INCLUDE_DIR) \
-          -I../src
+CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
 
-LDFLAGS = -L$(INSTALL_LIB_DIR) -L$(OOP_LIB_DIR) -lruli -loop \
-	$(SOLARIS_LDFLAGS) -L../src
+LDFLAGS = -L../src -L$(OOP_LIB_DIR) -lruli -loop
 
 TARGETS = list resolve hostsolver srvsolver syncsolver addrsolver \
-	srvsolver2 addrsolver2 addrsolver3 rand cycle_res cycle_res2 \
-	ipv6
+	srvsolver2 addrsolver2 addrsolver3 ruli-host rand cycle_res \
+        cycle_res2 ipv6
 
 .PHONY: default
 default: $(TARGETS)
@@ -76,6 +74,9 @@
 addrsolver3: addrsolver3.o trivial_conf_handler.o
 	$(CC) $(LDFLAGS) -o $@ $^
 
+ruli-host: ruli-host.o trivial_conf_handler.o
+	$(CC) $(LDFLAGS) -o $@ $^
+
 cycle_res: cycle_res.o trivial_conf_handler.o
 	$(CC) $(LDFLAGS) -o $@ $^
 
@@ -85,6 +86,3 @@
 ipv6: ipv6.o
 	$(CC) $(LDFLAGS) -o $@ $^
 
-long: long.o
-	$(CC) -o $@ $^
-
