## ruli 0.29

=== guile/Makefile ===
#
# $Id: Makefile,v 1.4 2004/08/15 06:21:45 evertonm Exp $
#

WARN = -pedantic -ansi -Wshadow -Wpointer-arith -Wcast-qual \
        -Wcast-align -Wwrite-strings -Wstrict-prototypes \
        -Wmissing-prototypes -Wredundant-decls \
	-Wall \
#	-Werror
CFLAGS = $(WARN) -O2 -pipe -g -shared -D_REENTRANT -D__USE_GNU \
	-fPIC $(shell guile-config compile)
LDFLAGS = -lruli $(shell guile-config link)
CC = gcc

.PHONY: default
default: ruli-guile

.PHONY: clean
clean:
	rm -f *.o *.so *~ ruli-guile

.PHONY: build
build: clean default

ruli-guile: ruli-guile.o libguile-ruli.so

libguile-ruli.so: guile_ruli.o
	gcc -shared -o $@ $< -lruli
