=== sample/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 #
-# $Id: Makefile,v 1.14 2004/06/21 00:28:23 evertonm Exp $
+# $Id: Makefile,v 1.15 2004/07/07 17:39:13 evertonm Exp $
 #
 
 #
@@ -38,6 +38,7 @@
 CFLAGS  = -O2 -pipe -Wall -g -I../src -I$(OOP_INCLUDE_DIR)
 LDFLAGS = -L../src -L$(OOP_LIB_DIR) $(SOLARIS_LDFLAGS)
 LIBS = -lruli -loop $(SOLARIS_LIBS)
+LINK = $(CC) $(ARCH) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 TARGETS = srvsearch sync_srvsearch smtpsearch sync_smtpsearch ruli-getaddrinfo
 SHARED_OBJS = stdout_srv_list.o parse_options.o
@@ -66,18 +67,21 @@
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 sync_smtpsearch.1
 	cd $(INSTALL_MAN_DIR)/man1 && ln -s srvsearch.1 ruli-getaddrinfo.1
 
+%.o: %.c
+	$(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c $<
+
 srvsearch: srvsearch.o $(SHARED_OBJS)
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(LINK)
 
 sync_srvsearch: sync_srvsearch.o $(SHARED_OBJS)
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(LINK)
 
 smtpsearch: smtpsearch.o $(SHARED_OBJS)
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(LINK)
 
 sync_smtpsearch: sync_smtpsearch.o $(SHARED_OBJS)
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(LINK)
 
 ruli-getaddrinfo: ruli-getaddrinfo.o $(SHARED_OBJS)
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
+	$(LINK)
