=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.49 2004/06/25 23:19:11 evertonm Exp $
+# $Id: Makefile,v 1.50 2004/07/07 17:39:13 evertonm Exp $
 #
 
 #DEBUG += -DRULI_SRV_DEBUG 
@@ -49,7 +49,8 @@
 WARN += -Wnested-externs
 endif
 
-FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -fPIC \
+SHARED = -fPIC
+FLAGS = $(DEBUG) -O2 -pipe -Wall -g -shared -D_REENTRANT \
         $(DEFINE_SOLARIS) -I. -I$(OOP_INCLUDE_DIR)
 SOFT_CFLAGS = $(WARN) $(FLAGS)
 CFLAGS = $(WARN) -Werror $(FLAGS)
@@ -57,19 +58,22 @@
 	ruli_addr.o ruli_sock.o ruli_txt.o ruli_msg.o ruli_fsm.o \
 	ruli_res.o ruli_parse.o ruli_host.o ruli_srv.o ruli_conf.o \
 	ruli_search.o ruli_smtp.o ruli_sync.o ruli_getaddrinfo.o
+SHAREDOBJ = $(LIBOBJ:%.o=%.os)
 SONAME = libruli.so.3
 
-COMPILE = $(CC) $(CPPFLAGS) $(CFLAGS) -c
+COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(CFLAGS) -c
+SHARED_COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(SHARED) $(CFLAGS) -o $@ -c
 
 # no -Werror
-SOFT_COMPILE = $(CC) $(CPPFLAGS) $(SOFT_CFLAGS) -c
+SOFT_COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(SOFT_CFLAGS) -c
+SHARED_SOFT_COMPILE = $(CC) $(ARCH) $(CPPFLAGS) $(SHARED) $(SOFT_CFLAGS) -o $@ -c
 
 .PHONY: default
 default: ruli
 
 .PHONY: clean
 clean:
-	rm -f *~ .*~ *.o *.so *.a *.so.*
+	rm -f *~ .*~ *.o *.os *.so *.a *.so.*
 
 .PHONY: build
 build: clean default
@@ -103,14 +107,25 @@
 ruli_sock.o: ruli_sock.c ruli_sock.h
 	$(SOFT_COMPILE) $<
 
+ruli_util.os: ruli_util.c ruli_util.h
+	$(SHARED_SOFT_COMPILE) $<
+
+ruli_sock.os: ruli_sock.c ruli_sock.h
+	$(SHARED_SOFT_COMPILE) $<
+
 %.o: %.c %.h
 	$(COMPILE) $<
 
-libruli.so: $(LIBOBJ)
+%.os: %.c %.h
+	$(SHARED_COMPILE) $<
+
+libruli.so: $(SHAREDOBJ)
 ifdef DEFINE_SOLARIS
-	$(CC) $(CFLAGS) -Wl,-h,$(SONAME) -o $@ $(LIBOBJ) -loop -ldl -lsocket -lnsl
+	$(CC) $(ARCH) $(CFLAGS) -Wl,-h,$(SONAME) -o $@ \
+		$(SHAREDOBJ) -loop -ldl -lsocket -lnsl
 else
-	$(CC) $(CFLAGS) -Wl,-soname,$(SONAME) -Wl,--version-script,libruli.ver -o $@ $(LIBOBJ) -loop -ldl
+	$(CC) $(ARCH) $(CFLAGS) -Wl,-soname,$(SONAME) \
+		-Wl,--version-script,libruli.ver -o $@ $(SHAREDOBJ) -loop -ldl
 endif
 
 $(SONAME): libruli.so
